.tic-tac-toe {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 40px;
  margin-top: 50px;
}

.tic-tac-toe__board-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.tic-tac-toe__board {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.tic-tac-toe__status {
  margin: 0 0 24px;
}

.tic-tac-toe__square {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: white;
  font-size: 28px;
  font-weight: 600;
  width: 85px;
  height: 85px;
  border: 1px solid black;
  margin: -1px;
  box-sizing: border-box;
}

.tic-tac-toe__square.tic-tac-toe__square--winner {
  background-color: darkseagreen;
  color: white;
}

.tic-tac-toe__steps {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
}

.tic-tac-toe__steps-sort {
  display: flex;
  align-items: center;
  gap: 8px;
  background-color: transparent;
  border: none;
  padding: 0;
  font-size: 16px;
  font-weight: 600;
}

.tic-tac-toe__steps-sort.tic-tac-toe__steps-sort--toggle svg {
  transform: rotate(180deg);
}

.tic-tac-toe__steps-list {
  margin: 0;
}

.tic-tac-toe__steps-list-item + .tic-tac-toe__steps-list-item {
  margin-top: 12px;
}

.tic-tac-toe__steps-item {
  font-size: 16px;
  background-color: transparent;
  padding: 0;
  border: none;
}

.tic-tac-toe__steps-item.tic-tac-toe__steps-item--button {
  text-decoration: underline;
  cursor: pointer;
}

.tic-tac-toe__steps-item.tic-tac-toe__steps-item--button:hover {
  text-decoration: unset;
}

@media (min-width: 768px) {
  .tic-tac-toe {
    flex-direction: row;
    align-items: center;
  }
}